curl --request PATCH \
--url 'https://api.nsr.stateset.com/api/v1/conversations/{id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"archived": false,
"title": "Replacement tent pole set"
}'
{
"archived_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": null,
"session_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"title": "Replacement tent pole set",
"updated_at": "2026-08-31T14:22:05Z",
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Update a conversation (title and/or archive status).
Required scope: write
PATCH
/
api
/
v1
/
conversations
/
{id}
curl --request PATCH \
--url 'https://api.nsr.stateset.com/api/v1/conversations/{id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"archived": false,
"title": "Replacement tent pole set"
}'
{
"archived_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": null,
"session_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"title": "Replacement tent pole set",
"updated_at": "2026-08-31T14:22:05Z",
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Required scope:
write
Path parameters
Request body
UpdateConversationRequest
Response
Conversation
Status codes
| Code | Meaning |
|---|---|
200 | Updated conversation |
400 | Invalid request |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
404 | Conversation not found |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
503 | Database not configured |
curl --request PATCH \
--url 'https://api.nsr.stateset.com/api/v1/conversations/{id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"archived": false,
"title": "Replacement tent pole set"
}'
{
"archived_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": null,
"session_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"title": "Replacement tent pole set",
"updated_at": "2026-08-31T14:22:05Z",
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026